Macaulay2 » Documentation
Packages » Macaulay2Doc » The Macaulay2 language » system facilities » top level loop » topLevelMode » BeforePrint
next | previous | forward | backward | up | index | toc

# BeforePrint -- top level method applied before printing results

- Usage:
    `X#{topLevelMode,BeforePrint} = f`
- Inputs:
  - f, a function to be applied before printing a top-level evaluation result r of type X.
- Consequences:
  - The value returned by f is printed instead.

## For the programmer

The object BeforePrint is a symbol.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/ov_repl.m2:340:0.